﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace ResponseData

    <Serializable>
    Public Class GetContractorResponse

        <XmlElement(ElementName:="Creditors")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Creditors() As Creditors

    End Class

    <Serializable>
    Public Class Creditors
        Private creditorListe As List(Of Creditor)

        Public Sub New()
            creditorListe = New List(Of Creditor)
        End Sub

        Public Sub Add(pCreditor As Creditor)
            creditorListe.Add(pCreditor)
        End Sub

        <XmlElement(ElementName:="Creditor")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CreditorsListe() As List(Of Creditor)
            Get
                Return Me.creditorListe
            End Get
            Set
                Me.creditorListe = Value
            End Set
        End Property

    End Class

    <Serializable>
    Public Class Creditor

        '''<remarks/>
        <XmlElement(ElementName:="No")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property No() As String

        '''<remarks/>
        <XmlElement(ElementName:="Name")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Name() As String

        '''<remarks/>
        <XmlElement(ElementName:="Name2")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Name2() As String

        '''<remarks/>
        <XmlElement(ElementName:="SearchName")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property SearchName() As String

        '''<remarks/>
        <XmlElement(ElementName:="Address")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Address() As String

        '''<remarks/>
        <XmlElement(ElementName:="Address2")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Address2() As String

        '''<remarks/>
        <XmlElement(ElementName:="City")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property City() As String

        '''<remarks/>
        <XmlElement(ElementName:="PostalCode")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PostalCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="CountryCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CountryCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="AreaCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property AreaCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="PhoneNo")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PhoneNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="CurrencyCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CurrencyCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="Blocked")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Blocked() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="FaxNo")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property FaxNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="Email")>
        <MaxLength(80)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Email() As String

        '''<remarks/>
        <XmlElement(ElementName:="HomePage")>
        <MaxLength(80)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property HomePage() As String

        '''<remarks/>
        <XmlElement(ElementName:="LastDateModified")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property LastDateModified() As Date

        '''<remarks/>
        <XmlElement(ElementName:="Carrier")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Carrier() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="WasteDisposalNo")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WasteDisposalNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="WasteTransportNo")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WasteTransportNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="WasteAllowanceNo")>
        <MaxLength(12)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WasteAllowanceNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="TaxNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaxNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="VATregistrationNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property VATRegistrationNo() As String

        <XmlElement(ElementName:="TaskSites")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaskSites() As List(Of OrderAddress)

    End Class

    <Serializable>
    Public Class OrderAddress

        '''<remarks/>
        <XmlElement(ElementName:="VendorTaskSite")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property VendorTaskSite() As String

        '''<remarks/>
        <XmlElement(ElementName:="Code")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Code() As String

        '''<remarks/>
        <XmlElement(ElementName:="Name")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Name() As String

        '''<remarks/>
        <XmlElement(ElementName:="Name2")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Name2() As String

        '''<remarks/>
        <XmlElement(ElementName:="Address")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Address() As String

        '''<remarks/>
        <XmlElement(ElementName:="Address2")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Address2() As String

        '''<remarks/>
        <XmlElement(ElementName:="City")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property City() As String

        '''<remarks/>
        <XmlElement(ElementName:="PhoneNo")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Phone() As String

        '''<remarks/>
        <XmlElement(ElementName:="CountryCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Country() As String

        '''<remarks/>
        <XmlElement(ElementName:="LastDateModified")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property LastDateModified() As Date

        '''<remarks/>
        <XmlElement(ElementName:="FaxNo")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property FaxNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="PostalCode")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PostalCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="E-Mail")>
        <MaxLength(80)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Email() As String

        '''<remarks/>
        <XmlElement(ElementName:="HomePage")>
        <MaxLength(80)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property HomePage() As String

        '''<remarks/>
        <XmlElement(ElementName:="WasteDisposalNo")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WasteDisposalNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="AreaCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property AreaCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="Blocked")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Blocked() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="ExemptionNo")>
        <MaxLength(12)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ExemptionNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="WasteTransportNo")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WasteTransportNo() As String

    End Class

End Namespace


