﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace ResponseData

    <Serializable>
    Public Class GetCustomerResult

        <XmlElement(ElementName:="Customers")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Customers() As Customers

    End Class

    <Serializable>
    Public Class Customers
        Private customerListe As List(Of Customer)

        Public Sub New()
            customerListe = New List(Of Customer)
        End Sub

        Public Sub Add(pCustomer As Customer)
            customerListe.Add(pCustomer)
        End Sub

        <XmlElement(ElementName:="Customer")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CustomersListe() As List(Of Customer)
            Get
                Return Me.customerListe
            End Get
            Set
                Me.customerListe = Value
            End Set
        End Property

    End Class

    <Serializable>
    Public Class Customer

        '''<remarks/>
        <XmlElement(ElementName:="IdentifyNumber")>
        <MaxLength(15)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property IdentifyNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="KeyAccountGroup")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property KeyAccountGroup() As String

        '''<remarks/>
        <XmlElement(ElementName:="Name")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Name() As String

        '''<remarks/>
        <XmlElement(ElementName:="Name2")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Name2() As String

        '''<remarks/>
        <XmlElement(ElementName:="Address")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Address() As String

        '''<remarks/>
        <XmlElement(ElementName:="Address2")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Address2() As String

        '''<remarks/>
        <XmlElement(ElementName:="PostalCode")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PostalCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="City")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property City() As String

        '''<remarks/>
        <XmlElement(ElementName:="Country")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Country() As String

        '''<remarks/>
        <XmlElement(ElementName:="AreaCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property AreaCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="Phone")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Phone() As String

        '''<remarks/>
        <XmlElement(ElementName:="Fax")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Fax() As String

        '''<remarks/>
        <XmlElement(ElementName:="Email")>
        <MaxLength(80)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Email() As String

        '''<remarks/>
        <XmlElement(ElementName:="Website")>
        <MaxLength(80)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Website() As String

        '''<remarks/>
        <XmlElement(ElementName:="WasteProducerNumber")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WasteProducerNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="CurrencyCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CurrencyCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="Blocked")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Blocked() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="TaxNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaxNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="VATRegistrationNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property VATRegistrationNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="InvoiceWithNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property InvoiceWithNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="LastDateModified")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property LastDateModified() As Date

        Private TaskSitesField As TaskSites

        <XmlElement(ElementName:="Tasksites")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaskSites() As TaskSites
            Get
                Return Me.TaskSitesField
            End Get
            Set
                Me.TaskSitesField = Value
            End Set
        End Property

    End Class

    <Serializable>
    Public Class TaskSites
        Private taskSiteListe As List(Of TaskSite)

        Public Sub New()
            taskSiteListe = New List(Of TaskSite)
        End Sub

        Public Sub Add(pTaskSite As TaskSite)
            taskSiteListe.Add(pTaskSite)
        End Sub

        <XmlElement(ElementName:="Tasksite")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaskSitesListe() As List(Of TaskSite)
            Get
                Return Me.taskSiteListe
            End Get
            Set
                Me.taskSiteListe = Value
            End Set
        End Property

    End Class

    <Serializable>
    Public Class TaskSite

        '''<remarks/>
        <XmlElement(ElementName:="Tasksite")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaskSite() As String

        '''<remarks/>
        <XmlElement(ElementName:="Name")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Name() As String

        '''<remarks/>
        <XmlElement(ElementName:="Name2")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Name2() As String

        '''<remarks/>
        <XmlElement(ElementName:="Address")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Address() As String

        '''<remarks/>
        <XmlElement(ElementName:="Address2")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Address2() As String

        '''<remarks/>
        <XmlElement(ElementName:="PostalCode")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PostalCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="Phone")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Phone() As String

        '''<remarks/>
        <XmlElement(ElementName:="Fax")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Fax() As String

        '''<remarks/>
        <XmlElement(ElementName:="Email")>
        <MaxLength(80)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Email() As String

        '''<remarks/>
        <XmlElement(ElementName:="City")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property City() As String

        '''<remarks/>
        <XmlElement(ElementName:="Country")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Country() As String

        '''<remarks/>
        <XmlElement(ElementName:="Website")>
        <MaxLength(80)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Website() As String

        '''<remarks/>
        <XmlElement(ElementName:="WasteProducerNumber")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WasteProducerNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="AreaCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property AreaCode() As String

    End Class

End Namespace


