﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace ResponseData

    <Serializable>
    Public Class GetOpenOrderResponse
        Private OrdersField As Orders

        <XmlElement(ElementName:="Orders")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Orders() As Orders
            Get
                Return Me.OrdersField
            End Get
            Set
                Me.OrdersField = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class Orders
        Private OrdersListe As List(Of Order)

        Public Sub New()
            OrdersListe = New List(Of Order)
        End Sub

        Public Sub Add(pOrder As Order)
            OrdersListe.Add(pOrder)
        End Sub

        <XmlElement(ElementName:="Order")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property OrderListe() As List(Of Order)
            Get
                Return Me.OrdersListe
            End Get
            Set
                Me.OrdersListe = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class Order

        '''<remarks/>
        <XmlElement(ElementName:="BusinessWithNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property BusinessWithNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="DocumentNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DocumentNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="InvoiceWithNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property InvoiceWithNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="ServiceNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ServiceNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="StorageLocationCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property StorageLocationCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="RequestedTaskDate")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property RequestedTaskDate() As Date

        '''<remarks/>
        <XmlElement(ElementName:="TaskSite")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaskSite() As String

        '''<remarks/>
        <XmlElement(ElementName:="JobNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property JobNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="PostingType")>
        <MaxLength(2)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PostingType() As String

        '''<remarks/>
        <XmlElement(ElementName:="QualityCode")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property QualityCode() As Decimal

        '''<remarks/>
        <XmlElement(ElementName:="ExternalDocumentNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ExternalDocumentNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="EquipmentNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property EquipmentNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="Quantityto Drive")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property QuantityToDrive() As Decimal

        '''<remarks/>
        <XmlElement(ElementName:="Startdate")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property StartDate() As Date

        '''<remarks/>
        <XmlElement(ElementName:="Enddate")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property EndDate() As Date

        '''<remarks/>
        <XmlElement(ElementName:="IDCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property IDCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="AvvCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property AvvCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="BalancedAccountPostWithNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property BalancedAccountPostWithNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="BalancedAccountTaskCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property BalancedAccountTaskCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="UnitOfMeasureCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property UnitOfMeasureCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="EstimatedQuantity")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property EstimatedQuantity() As Decimal

        '''<remarks/>
        <XmlElement(ElementName:="Comment")>
        <MaxLength(1000)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Comment() As String

        '''<remarks/>
        <XmlElement(ElementName:="CarrierNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CarrierNumber() As String

    End Class

End Namespace
