﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace ResponseData

    <Serializable>
    Public Class GetOpenP3OrderResponse
        Private P3OrdersField As P3Orders

        <XmlElement(ElementName:="P3Orders")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property P3Orders() As P3Orders
            Get
                Return Me.P3OrdersField
            End Get
            Set
                Me.P3OrdersField = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class P3Orders
        Private P3OrdersListe As List(Of P3Order)

        Public Sub New()
            P3OrdersListe = New List(Of P3Order)
        End Sub

        Public Sub Add(pP3Order As P3Order)
            P3OrdersListe.Add(pP3Order)
        End Sub

        <XmlElement(ElementName:="P3Order")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property P3OrderListe() As List(Of P3Order)
            Get
                Return Me.P3OrdersListe
            End Get
            Set
                Me.P3OrdersListe = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class P3Order

        '''<remarks/>
        <XmlElement(ElementName:="CustomerNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CustomerNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="OrderNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property OrderNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="InvoiceWithNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property InvoiceWithNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="ServiceNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ServiceNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="TaskDate")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaskDate() As Date

        '''<remarks/>
        <XmlElement(ElementName:="Tasksite")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaskSite() As String

        '''<remarks/>
        <XmlElement(ElementName:="JobNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property JobNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="PostingType")>
        <MaxLength(2)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PostingType() As String

        '''<remarks/>
        <XmlElement(ElementName:="QualityCode")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property QualityCode() As Decimal

        '''<remarks/>
        <XmlElement(ElementName:="ExternalDocumentNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ExternalDocumentNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="EquipmentNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property EquipmentNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="Quantityto Drive")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property QuantityToDrive() As Decimal

        '''<remarks/>
        <XmlElement(ElementName:="IDCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property IDCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="AvvCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property AvvCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="BalancedAccountPostWithNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property BalancedAccountPostWithNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="BalancedAccountTaskCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property BalancedAccountTaskCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="Unit")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Unit() As String

        '''<remarks/>
        <XmlElement(ElementName:="Quantity")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Quantity() As Decimal

        '''<remarks/>
        <XmlElement(ElementName:="Comment")>
        <MaxLength(1000)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Comment() As String

        '''<remarks/>
        <XmlElement(ElementName:="Status")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Status() As String

        '''<remarks/>
        <XmlElement(ElementName:="CarrierNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CarrierNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="ExternalDeliveryNote")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ExternalDeliveryNote() As String

        '''<remarks/>
        <XmlElement(ElementName:="DisposalEnterpriseNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DisposalEnterpriseNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="DisposalEnterpriseSiteCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DisposalEnterpriseSiteCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="WasteTransferNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WasteTransferNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="MovementFormNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property MovementFormNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="WeightTransferNote")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WeightTransferNote() As String

        '''<remarks/>
        <XmlElement(ElementName:="OrderOriginCode")>
        <MaxLength(2)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property OrderOriginCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="LicencePlateNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property LicencePlateNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="DriverName")>
        <MaxLength(150)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DriverName() As String

    End Class

End Namespace
