﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace GetData

    <Serializable>
    Public Class GetStatus

        <XmlElement(ElementName:="Choice")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Choice() As ChoiceStatus

    End Class

    <Serializable>
    Public Class ChoiceStatus

        Private TicketsField As Tickets

        <XmlElement(ElementName:="Tickets")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Tickets() As Tickets
            Get
                Return Me.TicketsField
            End Get
            Set
                Me.TicketsField = Value
            End Set
        End Property

        '''<remarks/>
        '''Format: YYYY-MM-DD
        <XmlElement(ElementName:="FromDate")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property FromDate() As String

    End Class

    <Serializable>
    Public Class Tickets
        Private TicketsListe As List(Of Ticket)

        Public Sub Add(pTicket As Ticket)
            TicketsListe.Add(pTicket)
        End Sub

        <XmlElement(ElementName:="Ticket")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TicketListe() As List(Of Ticket)
            Get
                Return Me.TicketsListe
            End Get
            Set
                Me.TicketsListe = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class Ticket

        Public Sub New()
            TicketID = ""
        End Sub

        '''<remarks/>
        <XmlElement(ElementName:="TicketID")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TicketID() As String

    End Class


End Namespace
