﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace SetData

    <Serializable>
    Public Class SetCustomer

        Private customersField As Customers

        <XmlElement(ElementName:="Customers")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Customers() As Customers
            Get
                Return Me.customersField
            End Get
            Set
                Me.customersField = Value
            End Set
        End Property

    End Class

    <Serializable>
    Public Class Customers
        Private customerListe As List(Of Customer)

        Public Sub New()
            customerListe = New List(Of Customer)
        End Sub

        Public Sub Add(pCustomer As Customer)
            customerListe.Add(pCustomer)
        End Sub

        <XmlElement(ElementName:="Customer")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CustomersListe() As List(Of Customer)
            Get
                Return Me.customerListe
            End Get
            Set
                Me.customerListe = Value
            End Set
        End Property


    End Class

    <Serializable>
    Public Class Customer

        Private requestIDField As String
        Private identifyNumberField As String
        Private keyAccountGroupField As String
        Private nameField As String
        Private name2Field As String
        Private addressField As String
        Private address2Field As String
        Private postalCodeField As String
        Private cityField As String
        Private countryField As String
        Private areaCodeField As String
        Private phoneField As String
        Private faxField As String
        Private emailField As String
        Private websiteField As String
        Private wasteProducerNumberField As String
        Private currencyCodeField As String
        Private taxNoField As String
        Private vATRegistrationNoField As String
        Private invoiceWithNoField As String

        Public Sub New()
            requestIDField = ""
            identifyNumberField = ""
            keyAccountGroupField = ""
            nameField = ""
            name2Field = ""
            addressField = ""
            address2Field = ""
            postalCodeField = ""
            cityField = ""
            countryField = ""
            areaCodeField = ""
            phoneField = ""
            faxField = ""
            emailField = ""
            websiteField = ""
            wasteProducerNumberField = ""
            currencyCodeField = ""
            taxNoField = ""
            VATRegistrationNoField = ""
            invoiceWithNoField = ""
        End Sub

        '''<remarks/>
        <XmlElement(ElementName:="RequestID")>
        <MaxLength(50)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property RequestID() As String
            Get
                Return Me.requestIDField
            End Get
            Set
                Me.requestIDField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="IdentifyNumber")>
        <MaxLength(15)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property IdentifyNumber() As String
            Get
                Return Me.identifyNumberField
            End Get
            Set
                Me.identifyNumberField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="KeyAccountGroup")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property KeyAccountGroup() As String
            Get
                Return Me.keyAccountGroupField
            End Get
            Set
                Me.keyAccountGroupField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Name")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Name() As String
            Get
                Return Me.nameField
            End Get
            Set
                Me.nameField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Name2")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Name2() As String
            Get
                Return Me.name2Field
            End Get
            Set
                Me.name2Field = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Address")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Address() As String
            Get
                Return Me.addressField
            End Get
            Set
                Me.addressField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Address2")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Address2() As String
            Get
                Return Me.address2Field
            End Get
            Set
                Me.address2Field = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="PostalCode")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PostalCode() As String
            Get
                Return Me.postalCodeField
            End Get
            Set
                Me.postalCodeField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="City")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property City() As String
            Get
                Return Me.cityField
            End Get
            Set
                Me.cityField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Country")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Country() As String
            Get
                Return Me.countryField
            End Get
            Set
                Me.countryField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="AreaCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property AreaCode() As String
            Get
                Return Me.areaCodeField
            End Get
            Set
                Me.areaCodeField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Phone")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Phone() As String
            Get
                Return Me.phoneField
            End Get
            Set
                Me.phoneField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Fax")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Fax() As String
            Get
                Return Me.faxField
            End Get
            Set
                Me.faxField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Email")>
        <MaxLength(80)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Email() As String
            Get
                Return Me.emailField
            End Get
            Set
                Me.emailField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Website")>
        <MaxLength(80)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Website() As String
            Get
                Return Me.websiteField
            End Get
            Set
                Me.websiteField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="WasteProducerNumber")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WasteProducerNumber() As String
            Get
                Return Me.wasteProducerNumberField
            End Get
            Set
                Me.wasteProducerNumberField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="CurrencyCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CurrencyCode() As String
            Get
                Return Me.currencyCodeField
            End Get
            Set
                Me.currencyCodeField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="TaxNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaxNo() As String
            Get
                Return Me.taxNoField
            End Get
            Set
                Me.taxNoField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="VATRegistrationNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property VATRegistrationNo() As String
            Get
                Return Me.vATRegistrationNoField
            End Get
            Set
                Me.vATRegistrationNoField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="InvoiceWithNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property InvoiceWithNo() As String
            Get
                Return Me.invoiceWithNoField
            End Get
            Set
                Me.invoiceWithNoField = Value
            End Set
        End Property
    End Class

End Namespace
