﻿
Imports System.IO
Imports System.Net
Imports System.Xml.Serialization
Imports RLG_Test.RLGReadWebSVC

Public Class Form2

    Private ReadUrl As String = "https://demoportal.ccrsystems.com/RLG.EXT.Service/SPv1/ReadServices.asmx"
    Private WriteUrl As String = "https://demoportal.ccrsystems.com/RLG.EXT.Service/SPv1/WriteServices.asmx"
    Private UserName As String = ""
    Private Passwort As String = ""

    Private Sub btnExport_Click(sender As Object, e As EventArgs) Handles btnExport.Click
        Dim mSetCustomer As New SetData.SetCustomer
        Dim mCustomers As New SetData.Customers
        Dim mCustomer As New SetData.Customer
        ' 1.Eintrag
        With mCustomer
            .Name = "Wenzl Gerhard"
            .Address = "Nr. 115"
            .AreaCode = "2"
            .City = "Hannersdorf"
            .PostalCode = "7477"
            .CurrencyCode = "EUR"
            .Email = "gerhard@wenzl.co.at"
            .Phone = "+43 660 3368902"
            .Website = "www.wenzl.co.at"
        End With
        mCustomers.Add(mCustomer)
        ' 2.Eintrag
        mCustomer = New SetData.Customer
        With mCustomer
            .Name = "MIS Software GmbH"
            .Address = "Siezenheimerstraße 23"
            .AreaCode = "2"
            .City = "Salzburg"
            .PostalCode = "8020"
            .CurrencyCode = "EUR"
            .Email = "office@mis-software.de"
            .Phone = "+43 660 3368902"
            .Website = "www.mis-software.de"
        End With
        mCustomers.Add(mCustomer)

        mSetCustomer.Customers = mCustomers

        Dim serializer As New XmlSerializer(GetType(SetData.SetCustomer))
        Dim writer As New StreamWriter(Application.StartupPath + "\Export\SetCustomer.xml")
        serializer.Serialize(writer, mSetCustomer)
        writer.Close()

    End Sub

    Private Sub btnImport_Click(sender As Object, e As EventArgs) Handles btnImport.Click
        Dim mSetResponse As ResponseData.SetResponse = New ResponseData.SetResponse 
        Dim serializer As New XmlSerializer(GetType(ResponseData.SetResponse ))
        Dim reader As New IO.StreamReader(Application.StartupPath + "\Export\SetResponse.xml")
        mSetResponse = CType(serializer.Deserialize(reader), ResponseData.SetResponse)
        reader.Close()
        reader.Dispose()
    End Sub

    Private Sub btnGetCustomer_Click(sender As Object, e As EventArgs) Handles btnGetCustomer.Click
        Dim mGetCustomer As New GetData.GetCustomer
        Dim mChoice As New GetData.Choice
        'mChoice.ChangedSince = "2020-01-01"
        mChoice.PostalCode = "15190"
        mGetCustomer.Choice = mChoice

        Dim webSVC As RLGReadWebSVC.ReadServices = New RLGReadWebSVC.ReadServices()
        webSVC.Url = ReadUrl
        Dim netCredential As NetworkCredential = New NetworkCredential(UserName, Passwort)
        Dim uri As Uri = New Uri(ReadUrl)
        Dim credentials As ICredentials = netCredential.GetCredential(uri, "Basic")
        webSVC.Credentials = credentials
        webSVC.Timeout = 10000
        webSVC.PreAuthenticate = True

        Dim memStream As New MemoryStream

        Dim serializeOut As XmlSerializer = New XmlSerializer(GetType(GetData.GetCustomer))
        ' Zur Kontrolle auch XML erstellen
        'Dim writer As New StreamWriter(Application.StartupPath + "\Export\GetCustomer.xml")
        'serializeOut.Serialize(writer, mGetCustomer)
        'writer.Flush()
        'writer.Close()
        ' Jetzt in memStream speichern
        Dim writer as New StreamWriter(memStream)
        serializeOut.Serialize(writer, mGetCustomer)
        writer.Flush()

        memStream.Position = 0

        Dim serializerIn As New XmlSerializer(GetType(GetCustomer))
        'Dim reader As New IO.StreamReader(Application.StartupPath + "\Export\GetCustomer.xml")
        Dim reader As New IO.StreamReader(memStream)
        Dim pGetCustomer As GetCustomer = CType(serializerIn.Deserialize(reader), GetCustomer)
        reader.Close()
        reader.Dispose()
        writer.Close()

        ' So funktioniert es
        'pGetCustomer = New GetCustomer
        'pGetCustomer.ItemElementName = ItemChoiceType.ChangedSince
        'pGetCustomer.Item = CDate("2020-01-01")
        'pGetCustomer.ItemElementName = ItemChoiceType.PostalCode
        'pGetCustomer.Item = "15190"

        Dim mGetCustomerResponse As GetCustomerResult = webSVC.GetCustomer(pGetCustomer)

        ' Schreibe Result in XML Datei
        Dim serializer As New XmlSerializer(GetType(GetCustomerResult))
        writer = New StreamWriter(Application.StartupPath + "\Export\GetCustomerResponse.xml")
        serializer.Serialize(writer, mGetCustomerResponse)
        writer.Flush()
        writer.Close()

        ' Beginn Umwandlung zu meinem DataModel
        Dim memResult As New MemoryStream
        Dim result As New StreamWriter(memResult)

        serializeOut = New XmlSerializer(GetType(GetCustomerResult))
        serializeOut.Serialize(result, mGetCustomerResponse)
        result.Flush()
        memResult.Position = 0

        serializerIn = New XmlSerializer(GetType(ResponseData.GetCustomerResult))
        'Dim reader As New IO.StreamReader(Application.StartupPath + "\Export\GetCustomer.xml")
        reader = New IO.StreamReader(memResult)
        Dim pGetCustomerResult As ResponseData.GetCustomerResult = CType(serializerIn.Deserialize(reader), ResponseData.GetCustomerResult)
        reader.Close()
        reader.Dispose()
        result.Close()

    End Sub
End Class